Subject: N900 modem support in 3.18-rc1

From: [email-masked] (Pavel Machek)
Date: Thu, 6 Nov 2014 23:50:05 +0100

Hi!

> > I actually had pm=0 on the command line, but I removed it now, and no
> > change: [...]
> > 
> > Let me try with explicit =1. .. aha, that helps. Thanks!
> 
> mh seems I actually missed to make 1 the default value. I will
> prepare a patch for that.
> 
> I assume, that the example ofono commands work for you now?

Yes. I was able to get list of networks. It stops working after a
while, for unknown reasons.

BTW... I'm using Debian-7.7 and did

XKBMODEL="nokiarx51"
XKBLAYOUT="us"

(from https://wiki.debian.org/MaemoAndSqueeze). Keyboard works well
-- except "p" key. arrow-P (0) works ok. Do you see that, too?

> > Do you have an example client that can talk to ofonod?
> 
> I have not yet played with userland stuff. You could try
> telepathy-ring, which integrates the ofono into the telepathy
> framework.

Thanks for the pointer.

> > What is needed to get voice calls to work?
> 
> There's still a kernel driver missing in mainline for exchanging
> voice data between the modem and the cpu (called cmt-speech).
> 
> BTW the CMT driver should be removed from your kernel tree; its a
> deprecated variant of mainline's nokia-modem driver. Thus I guess
> the cmt-speech driver, which is available in your kernel tree, is
> not properly integrated into the changes I did during mainlining
> the other modem related drivers.

Aha, so CONFIG_CMT is the same thing as CONFIG_NOKIA_NODEM? Ok, will
disable that. Speech... if you'd have version I could test, I'll
happily do that.

Thanks,
									Pavel
-- 
(english) http://www.livejournal.com/~pavelmachek
(cesky, pictures) http://atrey.karlin.mff.cuni.cz/~pavel/picture/horses/blog.html